Upgrade TZ to address 2018-19's Brazilian DST

Bug #1750627 reported by faleiros on 2018-02-20
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

Please upgrade Xenial and Trusty tzdata package to 2018c to address changes in 2018-2019 Brazil's DST.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tzdata (Ubuntu):
status: New → Confirmed
H K Kobayashi (hkkobayashi) wrote :

tzdata 2018c release was announced in January/2018 at http://mm.icann.org/pipermail/tz-announce/2018-January/000048.html

Steve Langasek (vorlon) on 2018-09-27
Changed in tzdata (Ubuntu):
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2018-09-27
summary: - Upgrade TZ do address 2018-19's Brazilian DST
+ Upgrade TZ to address 2018-19's Brazilian DST

Hello faleiros, or anyone else affected,

Accepted tzdata into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2018e-0ubuntu0.16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Steve Langasek (vorlon) wrote :

Bionic only changes the timezone rules for North Korea. Testing results:
TZ=America/Los_Angeles date -d '2018-09-27 00:00:00 UTC'
TZ=America/Los_Angeles date -d '2018-12-27 00:00:00 UTC'
TZ=Asia/Pyongyang date -d '2018-01-27 00:00:00 UTC'
TZ=Asia/Pyongyang date -d '2018-05-04 00:00:00 UTC'
TZ=Asia/Pyongyang date -d '2018-05-06 00:00:00 UTC'
TZ=America/Sao_Paulo date -d '2018-10-20 00:00:00 UTC'
TZ=America/Sao_Paulo date -d '2018-10-28 00:00:00 UTC'
TZ=America/Sao_Paulo date -d '2018-11-05 00:00:00 UTC'
TZ=Asia/Gaza date -d '2018-03-23 00:00:00 UTC'
TZ=Asia/Gaza date -d '2018-03-24 00:00:00 UTC'
TZ=Asia/Gaza date -d '2018-04-01 00:00:00 UTC'

--- bionic-before.log 2018-09-27 13:03:07.904805193 -0700
+++ bionic-after.log 2018-09-27 13:04:30.485819083 -0700
@@ -2,7 +2,7 @@
 Wed Dec 26 16:00:00 PST 2018
 Sat Jan 27 08:30:00 KST 2018
 Fri May 4 08:30:00 KST 2018
-Sun May 6 08:30:00 KST 2018
+Sun May 6 09:00:00 KST 2018
 Fri Oct 19 21:00:00 -03 2018
 Sat Oct 27 21:00:00 -03 2018
 Sun Nov 4 22:00:00 -02 2018

As expected, only North Korea's timezone shows any change before and after the SRU.

tags: added: verification-done-bionic
removed: verification-needed verification-needed-xenial
Changed in tzdata (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed verification-needed-trusty
Steve Langasek (vorlon) wrote :

Hello faleiros, or anyone else affected,

Accepted tzdata into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2018e-0ubuntu0.14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Xenial results:

--- xenial-before.log 2018-09-27 13:08:20.984673287 -0700
+++ xenial-after.log 2018-09-27 14:07:46.572361764 -0700
@@ -2,10 +2,10 @@
 Wed Dec 26 16:00:00 PST 2018
 Sat Jan 27 08:30:00 KST 2018
 Fri May 4 08:30:00 KST 2018
-Sun May 6 08:30:00 KST 2018
+Sun May 6 09:00:00 KST 2018
 Fri Oct 19 21:00:00 -03 2018
-Sat Oct 27 22:00:00 -02 2018
+Sat Oct 27 21:00:00 -03 2018
 Sun Nov 4 22:00:00 -02 2018
 Fri Mar 23 02:00:00 EET 2018
-Sat Mar 24 02:00:00 EET 2018
+Sat Mar 24 03:00:00 EEST 2018
 Sun Apr 1 03:00:00 EEST 2018

tags: added: verification-done-xenial
removed: verification-needed verification-needed-trusty
Steve Langasek (vorlon) wrote :

Trusty:

--- trusty-before.log 2018-09-27 14:13:54.747814714 -0700
+++ trusty-after.log 2018-09-27 14:11:31.437082432 -0700
@@ -2,10 +2,10 @@
 Wed Dec 26 16:00:00 PST 2018
 Sat Jan 27 08:30:00 KST 2018
 Fri May 4 08:30:00 KST 2018
-Sun May 6 08:30:00 KST 2018
+Sun May 6 09:00:00 KST 2018
 Fri Oct 19 21:00:00 -03 2018
-Sat Oct 27 22:00:00 -02 2018
+Sat Oct 27 21:00:00 -03 2018
 Sun Nov 4 22:00:00 -02 2018
 Fri Mar 23 02:00:00 EET 2018
-Sat Mar 24 02:00:00 EET 2018
+Sat Mar 24 03:00:00 EEST 2018
 Sun Apr 1 03:00:00 EEST 2018

tags: added: verification-done-trusty
Steve Langasek (vorlon) wrote :

For precise ESM:

--- precise-before.log 2018-09-27 15:23:25.293064963 -0700
+++ precise-after.log 2018-09-27 15:29:21.681574534 -0700
@@ -2,10 +2,10 @@
 Wed Dec 26 16:00:00 PST 2018
 Sat Jan 27 08:30:00 KST 2018
 Fri May 4 08:30:00 KST 2018
-Sun May 6 08:30:00 KST 2018
+Sun May 6 09:00:00 KST 2018
 Fri Oct 19 21:00:00 -03 2018
-Sat Oct 27 22:00:00 -02 2018
+Sat Oct 27 21:00:00 -03 2018
 Sun Nov 4 22:00:00 -02 2018
 Fri Mar 23 02:00:00 EET 2018
-Sat Mar 24 02:00:00 EET 2018
+Sat Mar 24 03:00:00 EEST 2018
 Sun Apr 1 03:00:00 EEST 2018

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2018e-0ubuntu0.16.04

---------------
tzdata (2018e-0ubuntu0.16.04) xenial; urgency=medium

  * New upstream release. LP: #1750627

 -- Steve Langasek <email address hidden> Thu, 27 Sep 2018 08:57:44 -0700

Changed in tzdata (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for tzdata has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2018e-0ubuntu0.14.04

---------------
tzdata (2018e-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream release. LP: #1750627.

 -- Steve Langasek <email address hidden> Thu, 27 Sep 2018 09:05:21 -0700

Changed in tzdata (Ubuntu Trusty):
status: Fix Committed → Fix Released
tags: added: id-5bad006aa297e0511edf045c
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions